.task {
  background: #a29f93;
  border-radius: 16px;
  box-shadow: 3px 7px #777066, 6px 10px 3px black;
  margin: 20px 0 20px 0;
  display: flex;
}

button {
  background: transparent;
  border: 0px;
  padding: 10px;
  color: white;
  font-family: 'Josefin Sans', sans-serif;
  font-weight: bold;
  font-size: large;
  border-radius: 8px;
  margin-left: auto;
}

button:hover {
  background: #8f8f83;
  color: #f65656;
  border-radius: 16px;

}


.task > div {
  margin-right: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.task__spended {
  flex-direction: row !important;
}

.task__spended_time {
  margin-top: 0 !important;
  margin-left: 10px !important;
  font-family: 'Josefin Sans', sans-serif;
  font-size: large !important;
  color: greenyellow !important;
  background: gray;
  border: 1px dimgray solid;
  border-radius: 6px;
  padding: 5px;
}

.task__spended__label {
  margin-top: 0px !important;
}

.task__description {
  margin-left: 20px;
}

.task > div > p {
  color: #d7d7d7;
  margin: 5px 0 0 0;
  font-size: small;
}

:host ::ng-deep .p-inplace-display {
  color: white;
  font-family: "Josefin Sans", sans-serif;
  display: block !important;
  background: #b6b4ad;
  margin-bottom: 5px;
  padding: 5px;
}

:host ::ng-deep .p-inplace-content {
  display:flex !important;
}
:host ::ng-deep .p-inplace-content input{
  padding:5px;
}
:host ::ng-deep .p-inplace-content >button{
  border:none;
  padding:5px;
  background:transparent;color:#f65656;
  color:#f65656;
  border-radius: 16px;
  font-weight: bold;
}
:host ::ng-deep .p-inplace-content >button:hover{
  background: #86837b;
}
.apply{
  color:lightgreen;
}
.apply:hover{
  color:white
}
